<div class="profile-panel">
    <div class="profile-panel-header">
        <h2>Work History</h2>
    </div>

    <div class="profile-panel-content">
        <div id='addYourWorkDetailsButton' class="filler-text first-editable" *ngIf="developer.work_history.length==0"
                (click)="_handleEditEntryRequest(undefined)">
            <span>+</span> Add your work details.
        </div>
        <div id='entryContainer'>
            <div class="work-entry editable" *ngFor="let entry of developer.work_history" (click)="_handleEditEntryRequest(entry)">
                <div class="work-dates-desktop" *ngIf="entry.currently_works_here">
                  {{ _monthNames[entry.start_month-1] + ' ' + entry.start_year }}<br />
                  to<br />
                  Present
                </div>
                <div class="work-dates-desktop" *ngIf="!entry.currently_works_here">
                    {{ _monthNames[entry.start_month-1] + ' ' + entry.start_year }}<br />
                    to<br />
                    {{ _monthNames[entry.end_month-1] + ' ' + entry.end_year }}
                </div>

                <div class="work-main">
                    <!-- Title & Company (desktop view) -->
                    <div class="work-basics-desktop">
                        <h4>{{ entry.title }} | <span>{{ entry.company }}</span></h4>
                    </div>

                    <!-- Title & Company (mobile view) -->
                    <div class="work-basics-mobile">
                        <h4>{{ entry.title }}</h4>
                        <span>{{ entry.company }}</span>
                    </div>

                    <!-- Dates Worked (mobile view) -->
                    <div class="work-dates-mobile" *ngIf="entry.currently_works_here">
                      {{ _monthNames[entry.start_month-1] + ' ' + entry.start_year }}
                      to
                      Present
                    </div>
                    <div class="work-dates-mobile" *ngIf="!entry.currently_works_here">
                        {{ _monthNames[entry.start_month-1] + ' ' + entry.start_year }}
                        to
                        {{ _monthNames[entry.end_month-1] + ' ' + entry.end_year }}
                    </div>


                    <div class="work-desc" *ngIf="entry.description">
                        <p *ngFor='let paragraph of entry.description | newLinesToBr'>
                            {{ paragraph }}
                        </p>
                    </div>
                </div>
            </div>
        </div>

        <!--<a (click)="handleDeleteEntry(entry)"><span class="fa fa-times-circle"></span></a>-->
        <span id='addAnotherEntryButton' class="filler-text editable add-new-entry"
                *ngIf="developer.work_history.length" (click)="_handleEditEntryRequest(undefined)">
            Add another work entry
        </span>
    </div>
</div>
